Name:		libprojectM
Version:	2.0.1
Release:	1.2
Summary:	The libraries for the projectM music visualization plugin
Group:		Applications/Multimedia
License:	LGPLv2+
URL:		http://projectm.sourceforge.net/
Source0:	http://downloads.sourceforge.net/projectm/%{name}-%{version}.tar.bz2
Source1:	README.libprojectM
#Remove fonts from package:
Patch0:		libprojectM-fonts.patch
#Bump soname
Patch1:		libprojectM-soname.patch
#Turn off USE_THREADS until the bug is fixed upstream
Patch2:		libprojectM-USE_THREADS.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ftgl-devel, cmake, glew-devel
Requires:	bitstream-vera-sans-mono-fonts, bitstream-vera-sans-fonts

%description
projectM is an awesome music visualizer. There is nothing better in the world
of Unix. projectM's greatness comes from the hard work of the community. Users
like you can create presets that connect music with incredible visuals.
projectM is an LGPL'ed reimplementation of Milkdrop under OpenGL. All projectM
requires is a video card with 3D acceleration and your favorite music.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
sed -i 's/\r//' ChangeLog
cp -f %{SOURCE1} README.fedora

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} .
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog README.fedora
%{_libdir}/*.so.*
%{_datadir}/projectM

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
